Subject: [mile] I-D Action: draft-ietf-mile-rfc5070-bis-23.txt

From: [email-masked]
Date: Mon, 20 Jun 2016 06:30:00 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Managed Incident Lightweight Exchange of the IETF.

        Title           : The Incident Object Description Exchange Format v2
        Author          : Roman Danyliw
	Filename        : draft-ietf-mile-rfc5070-bis-23.txt
	Pages           : 168
	Date            : 2016-06-20

Abstract:
   The Incident Object Description Exchange Format (IODEF) defines a
   data representation for security incident reports and indicators
   commonly exchanged by operational security teams for mitigation and
   watch and warning.  This document describes an updated information
   model for the IODEF and provides an associated data model specified
   with XML Schema.  This new information and data model obsoletes
   Request for Comment (RFC) 5070 and 6685.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mile-rfc5070-bis/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-mile-rfc5070-bis-23

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-mile-rfc5070-bis-23

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Roman D. Danyliw" <[email-masked]>
Date: Mon, 20 Jun 2016 13:44:08 +0000

Hello,

The following is the changelog for -23.  It addresses feedback from the IETF last call and IESG review.

(1) (schema) Reordered the schema and text definition of the child classes of the Observable class
(2) (text) Removed an extra definition of EventData in the text description of the Observable class
(3) (text) Corrected the line numbers in Figures 68 and 69
(4) (schema) Added IndicatorExpression/AdditionalData to the schema; it was in the text
(5) (text) Updated XML reference [W3C.XML] from the W3C 2nd edition to 5th edition
(6) (text) Updated XML Namespace reference [W3C.XMLNS] from 1999 edition to 2009 edition

(7) (text) Updated text to fixed inconsistency in cardinality of EventData/ReportTime (per Takeshi Takahashi's IETF LC review)
(8) (text) Removed duplicate Service class from figure in Observable class (per Takeshi Takahashi's IETF LC review)
(9) (text) Corrected data type of Address@vlan-num to be INTEGER in the text (per Takeshi Takahashi's IETF LC review)

(10) (text) Per Item #4 of Section 5.2, added new language around the idea that "IODEF parsers s/MUST/SHOULD/ reject syntax errors" (per discussion around Item #1 of Robert Sparks's security review; Comment #8 of Stephen Farrell's IESG review; Comment #2 of Ben Campbell's IESG review)
(11) (text) Per Item #5 of Section 5.2, added new language around the idea that "parsers s/SHOULD NOT/MUST NOT/ download schemas at runtime" (per discussion around Item #1 of Robert Sparks's security review; Comment #2 of Ben Campbell's IESG review)
(12) (text) Modified Section 4.3 to clarify the periodicity of downloading additional enumerated values from IANA registries (per discussion around Item #1 of Robert Sparks's security review; Comment #2 of Ben Campbell's IESG review)
(13) (text) Added language to the Security Considerations section on downloading the enumerated values (per discussion around Item #1 of Robert Sparks's security review; Discuss #1 of of Alexey Melnikov's IESG review; Comment #9 of Stephen Farrell's IESG review; Comment #2 of Ben Campbell's IESG review)
(14) (text) Clarified the executible content language in the Security Considerations section (per Item #2 of Robert Sparks's security review; Comment #2 of Ben Campbell's IESG review)
(15) (text) Added language about out-of-band field semantics in the Security Consideratios section (per Item #3 of Robert Sparks's security review; Comment #2 of Ben Campbell's IESG review)
(16) (text) Updated reference for PHONE to be E.164 (Per Nit A of Robert Sparks's Security Review; Comment #2 of Ben Campbell's IESG review)
(17) (text) Removed example in Section 4.1 that had no charactering encoding.  Removed RFC2978 reference.  (Per Nit B of Robert Sparks's Security Review; Comment #2 of Ben Campbell's IESG review)
(18) (text) Replaced RFC-ENUM and RFI-SCI reference names to be the corresponding RFC number (per Nit C of Robert Sparks's Security Review; Comment #2 of Ben Campbell's IESG review)

(19) (schema) Added IndicatorExpression/Confidence to the schema (per Discuss #1 of Alissa Cooper; Comment #2 of Ben Campbell's IESG review)
(20) (text) Added Figure 70 (per Discuss #1 of Alissa Cooper; Comment #2 of Ben Campbell's IESG review)
(21) (text) Removed uses of "cyber" as an adjective in all places in the document except for in the term "cyber-physical system" and the title.  (per Comment #1 of Alissa Cooper's; Comment #1 of Stephen Farrell IESG review; Comment #2 of Ben Campbell's IESG review)
(22) (text) Removed Contact@role="zone" (per Comment #2 of Alissa Cooper's IESG review; Comment #2 of Ben Campbell's IESG review)

(23) (text) Added additional text about processing Confidence values in the Security Considerations (per Discuss #1 of Stephen Farrell's IESG review)
(24) (text) Added Address@type={ipv4-net-masked, ipv6-net-masked} (per Discussion #2 of Stephen Farrell's IESG review)
(25) (text) Updated regex of TIMEZONE to include leap-seconds (per Comment #3 of of Stephen Farrell's IESG review)
(26) (text) Added reference to RFC6531 in Section 2.12, Email string (per Comment 4 of Stephen Farrell's IESG review)
(27) (text) Removed Address@type="ipv6-net-mask" (per Comment #6 of Stephen Farrell's IESG review)
(28) (text) Added reference to RFC4291 for Address@type="ipv6-addr-net" and RFC5952 for Address@type="ipv6-addr" (per Comment #6 of Stephen Farrell's IESG review) 

(29) (text) Removed the RFC822 reference in Section 3.29.3.1; now defer to definition in Section 3.18.1 which references a revised Section 2.12 that includes references to RFC6531 and RFC5322 (per Comment 1 of Alexey Melnikov's IESG review; Comment #2 of Ben Campbell's IESG review)
(30) (text) Made explicit reference to Section 2.4 of [W3C.XML] in Section 4.1 when discussing escaping XML characters (per Comment 2 of Alexey Melnikov's IESG review; Comment #2 of Ben Campbell's IESG review)

(31) (text) Added a required expert review of IANA registered IODEF extension schemas per RFC 6685 (per Comment #1 of Alvaro Retana's IESG review)
(32) (text) Obsoleted RFC6685 (per Comment #2 of Alvaro Retana's IESG review)

-----Original Message-----
From: mile [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 20, 2016 9:30 AM
To: [email-masked]
Cc: [email-masked]
Subject: [mile] I-D Action: draft-ietf-mile-rfc5070-bis-23.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
mile mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mile